## texlive-bin 2022.20220321.62855

=== texk/web2c/cwebdir/Makefile ===
# This file is part of CWEB.
# It is distributed WITHOUT ANY WARRANTY, express or implied.
# Version 4.7 --- February 2022

# Copyright (C) 1987,1990,1993,2000 Silvio Levy and Donald E. Knuth

# Permission is granted to make and distribute verbatim copies of this
# document provided that the copyright notice and this permission notice
# are preserved on all copies.

# Permission is granted to copy and distribute modified versions of this
# document under the conditions for verbatim copying, provided that the
# entire resulting derived work is given a different name and distributed
# under the terms of a permission notice identical to this one.

# 
# Read the README file, then edit this file to reflect local conditions
#

# directory for TeX inputs (cwebmac.tex goes here)
MACROSDIR= /usr/share/texmf/tex/generic

# directory for CWEB inputs in @i files
CWEBINPUTS= /usr/local/lib/cweb

# extension for manual pages ("l" distinguishes local from system stuff)
MANEXT= l
#MANEXT= 1

# directory for manual pages (cweb.1 goes here)
MANDIR= /usr/share/man/man$(MANEXT)

# destination directory for executables; must end in /
DESTDIR= /usr/local/bin/

# directory for GNU EMACS Lisp code (cweb.el goes here)
EMACSDIR= /usr/share/emacs/site-lisp

# Set DESTPREF to null if you want to call the executables "tangle" and "weave"
# (probably NOT a good idea; we recommend leaving DESTPREF=c)
DESTPREF=c

# Set CCHANGES to comm-foo.ch if you need changes to common.w
CCHANGES=

# Set TCHANGES to ctang-foo.ch if you need changes to ctangle.w
TCHANGES=

# Set WCHANGES to cweav-foo.ch if you need changes to cweave.w
WCHANGES=

# We keep debugging info around, for fun, but most users don't need it
CFLAGS = -g # -Wall -Wextra -Wimplicit-fallthrough=2 # check compiler warnings
#CFLAGS = -O
LINKFLAGS = -g
#LINKFLAGS = -s # for smaller (stripped) executables on many UNIX systems

# What C compiler are you using?
CC = cc

# RM and CP are used below in case rm and cp are aliased
RM= /bin/rm
CP= /bin/cp

# uncomment the second line if you use pdftex to bypass .dvi files
# uncomment the third line if you use xetex to bypass .dvi files
# uncomment the forth line if you use hitex for HINT output
PDFTEX = dvipdfm
#PDFTEX = pdftex
#PDFTEX = xetex
#PDFTEX = hitex

##########  You shouldn't have to change anything after this point #######

CWEAVE = ./cweave
CTANGLE = ./ctangle
SOURCES = cweave.w common.w ctangle.w
ALL =  common.w ctangle.w cweave.w prod.w \
	Makefile README common.c common.h ctangle.c \
	cwebman.tex cwebmac.tex comm-vms.ch ctang-vms.ch \
	cweav-vms.ch comm-man.ch ctang-man.ch cweav-man.ch \
	comm-pc.ch ctang-pc.ch cweav-pc.ch comm-amiga.ch \
	comm-bs.ch ctang-bs.ch cweav-bs.ch makefile.bs \
	comm-ql.ch ctang-ql.ch cweav-ql.ch readme.ql \
	comm-w32.ch ctang-w32.ch cweav-w32.ch \
	comm-os2.ch comm-mac.ch cweb.1 cweb.el c++lib.w iso_types.w

.SUFFIXES: .dvi .tex .w .pdf

.w.tex:
	$(CWEAVE) $*

.tex.dvi:	
	tex $<

.w.dvi:
	make $*.tex
	make $*.dvi

.w.c:
	$(CTANGLE) $*

.w.o:
	make $*.c
	make $*.o

.w.pdf:
	make $*.tex
	case "$(PDFTEX)" in \
	 dvipdfm ) tex "\let\pdf+ \input $*"; dvipdfm $* ;; \
	 pdftex ) pdftex $* ;; \
	 xetex ) xetex $* ;; \
	 hitex ) hitex $* ;; \
	esac

all: ctangle cweave

cautiously: ctangle
	$(CP) common.c SAVEcommon.c
	./ctangle common $(CCHANGES)
	diff common.c SAVEcommon.c
	$(RM) SAVEcommon.c
	$(CP) ctangle.c SAVEctangle.c
	./ctangle ctangle $(TCHANGES)
	diff ctangle.c SAVEctangle.c
	$(RM) SAVEctangle.c

SAVEctangle.c:
	$(CP) ctangle.c SAVEctangle.c

SAVEcommon.c:
	$(CP) common.c SAVEcommon.c

common.c: common.w $(CCHANGES) common.h
	$(CTANGLE) common $(CCHANGES)

common.o: common.c
	$(CC) $(CFLAGS) -DCWEBINPUTS=\"$(CWEBINPUTS)\" -c common.c

ctangle: ctangle.o common.o
	$(CC) $(LINKFLAGS) -o ctangle ctangle.o common.o 

ctangle.c: ctangle.w $(TCHANGES) common.h
	$(CTANGLE) ctangle $(TCHANGES)

cweave: cweave.o common.o
	$(CC) $(LINKFLAGS) -o cweave cweave.o common.o

cweave.c: cweave.w $(WCHANGES) common.h prod.w
	$(CTANGLE) cweave $(WCHANGES)

doc: $(SOURCES:.w=.dvi)

usermanual: cwebman.tex cwebmac.tex
	$(PDF)tex cwebman

fullmanual: usermanual $(SOURCES) comm-man.ch ctang-man.ch cweav-man.ch
	make cweave
	./cweave common.w comm-man.ch
	$(PDF)tex common.tex
	./cweave ctangle.w ctang-man.ch
	$(PDF)tex ctangle.tex
	./cweave cweave.w cweav-man.ch
	$(PDF)tex cweave.tex

# be sure to leave ctangle.c and common.c for bootstrapping
clean:
	$(RM) -f -r *~ *.o common.tex cweave.tex cweave.c ctangle.tex \
	  *.log *.dvi *.toc *.idx *.scn *.pdf *.hnt core cweave ctangle

install: all
	- mkdir $(DESTDIR)
	$(CP) cweave $(DESTDIR)$(DESTPREF)weave
	chmod 755 $(DESTDIR)$(DESTPREF)weave
	$(CP) ctangle $(DESTDIR)$(DESTPREF)tangle
	chmod 755 $(DESTDIR)$(DESTPREF)tangle
	- mkdir $(MANDIR)
	$(CP) cweb.1 $(MANDIR)/cweb.$(MANEXT)
	chmod 644 $(MANDIR)/cweb.$(MANEXT)
	- mkdir $(MACROSDIR)
	$(CP) cwebmac.tex $(MACROSDIR)
	chmod 644 $(MACROSDIR)/cwebmac.tex
	- mkdir $(EMACSDIR)
	$(CP) cweb.el $(EMACSDIR)
	chmod 644 $(EMACSDIR)/cweb.el
	- mkdir $(CWEBINPUTS)
	$(CP) c++lib.w $(CWEBINPUTS)
	chmod 644 $(CWEBINPUTS)/c++lib.w
	$(CP) iso_types.w $(CWEBINPUTS)
	chmod 644 $(CWEBINPUTS)/iso_types.w

floppy: $(ALL) examples
	bar cvhf /dev/rfd0 $(ALL) examples
	bar tvf /dev/rfd0
	eject

tags: $(ALL)
	etags -lnone $(ALL)

tarfile: $(ALL) examples
	tar cvhf /tmp/cweb.tar $(ALL) examples
	gzip -9 /tmp/cweb.tar

tarball:
	tar zcvhf /tmp/cweb.tgz $(ALL) examples

=== libs/xpdf/xpdf-src/goo/CMakeLists.txt ===
#========================================================================
#
# goo/CMakeLists.txt
#
# CMake script for the goo library.
#
# Copyright 2015 Glyph & Cog, LLC
#
#========================================================================

include_directories("${PROJECT_SOURCE_DIR}")
include_directories("${PROJECT_BINARY_DIR}")

add_library(goo_objs OBJECT
  FixedPoint.cc
  GHash.cc
  GList.cc
  GString.cc
  gfile.cc
  gmem.cc
  gmempp.cc
  parseargs.c
  Trace.cc
)

add_library(goo
  $<TARGET_OBJECTS:goo_objs>
)

=== libs/xpdf/xpdf-src/splash/CMakeLists.txt ===
#========================================================================
#
# splash/CMakeLists.txt
#
# CMake script for the splash library.
#
# Copyright 2015 Glyph & Cog, LLC
#
#========================================================================

if (HAVE_SPLASH)
  include_directories("${PROJECT_SOURCE_DIR}")
  include_directories("${PROJECT_BINARY_DIR}")
  include_directories("${PROJECT_SOURCE_DIR}/goo")
  include_directories("${PROJECT_SOURCE_DIR}/fofi")
  include_directories("${FREETYPE_INCLUDE_DIRS}")

  if (HAVE_DTYPE4_H)
    include_directories("${DTYPE_INCLUDE_DIR}")
    set(DTYPE_SRCS
        SplashDT4Font.cc SplashDT4FontEngine.cc SplashDT4FontFile.cc)
  endif ()

  add_library(splash_objs OBJECT
    Splash.cc
    SplashBitmap.cc
    SplashClip.cc
    SplashFTFont.cc
    SplashFTFontEngine.cc
    SplashFTFontFile.cc
    SplashFont.cc
    SplashFontEngine.cc
    SplashFontFile.cc
    SplashFontFileID.cc
    SplashPath.cc
    SplashPattern.cc
    SplashScreen.cc
    SplashState.cc
    SplashXPath.cc
    SplashXPathScanner.cc
    ${DTYPE_SRCS}
  )

  add_library(splash
    $<TARGET_OBJECTS:splash_objs>
  )
endif ()

=== texk/web2c/luatexdir/luaharfbuzz/Makefile ===
DOCS_DIR := docs

spec:
	busted .

clean:
	rm -rf build *.so

lint:
	luacheck src spec examples

doc:
	ldoc -d ${DOCS_DIR}  .

.PHONY: clean lint spec doc

=== debian/changelog ===
texlive-bin (2022.20220321.62855-5.1+deb12u2) bookworm; urgency=medium

  * Add patches from upstream for "luatex loses or changes text when
    discretionaries with priorities are used" (Closes: #1041441).
  * Add patch for CVE-2024-25262.

 -- Hilmar Preuße <hille42@debian.org>  Fri, 11 Oct 2024 22:47:45 +0200

texlive-bin (2022.20220321.62855-5.1+deb12u1) bookworm; urgency=medium

  * Stop building *jit* binaries on i386 based arches to make TL installable
    on computers not supporting sse2 (Closes: #1035461).
  * Add patch for CVE-2023-32668: disable socket in luatex by default
    (Closes: #1036470).

 -- Hilmar Preusse <hille42@web.de>  Tue, 27 Jun 2023 22:07:12 +0200

texlive-bin (2022.20220321.62855-5.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix improperly secured shell-escape in LuaTeX (CVE-2023-32700)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 18 May 2023 23:15:13 +0200

texlive-bin (2022.20220321.62855-5) unstable; urgency=medium

  [ Hilmar Preusse ]
  * Add bug script and bug control file for texlive-binaries.
  * Add Dep on sse2-support, to make sure luatex works
    correctly (Closes: #1023007).

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends-Arch: Drop versioned constraint on automake, libpixman-1-dev
      and libzzip-dev.
    + texlive-binaries: Drop versioned constraint on texlive-lang-japanese and
      texlive-metapost in Replaces.
    + texlive-binaries: Drop versioned constraint on texlive-htmlxml in Breaks.
    + libkpathsea6: Drop versioned constraint on texlive-binaries in Breaks.
    + libptexenc1: Drop versioned constraint on texlive-binaries in Breaks.

 -- Hilmar Preusse <hille42@web.de>  Sun, 11 Dec 2022 09:33:59 +0100

texlive-bin (2022.20220321.62855-4) unstable; urgency=medium

  * Separate "indep" and "arch" in d/rules better (Closes: #1012018).

 -- Hilmar Preusse <hille42@web.de>  Sat, 04 Jun 2022 23:44:11 +0200

texlive-bin (2022.20220321.62855-3) unstable; urgency=low

  * Upload to unstable.

 -- Hilmar Preusse <hille42@web.de>  Wed, 01 Jun 2022 09:04:23 +0200

texlive-bin (2022.20220321.62855-2) experimental; urgency=medium

  * Upgrade xpdf code to 4.04 to solve CVE-2021-27548
    (Closes: #1011333).
  * Lintian:
    - Remove obsolete: source-is-missing
    - Add (in general): very-long-line-length-in-source-file
    - Fix spelling errors in manual pages.
    - W: libtexlua53: package-name-doesnt-match-sonames libtexlua53-5
      renamed: libtexlua53-dev -> libtexlua-dev.
      renamed: libtexlua53 -> libtexlua53-5
    - W: bad-whatis-entry usr/share/man/man1/xml2pmx.1.gz
    - W: wrong-manual-section usr/share/man/man1/axohelp.1.gz:1 1 != 1.4

 -- Hilmar Preusse <hille42@web.de>  Sun, 22 May 2022 23:34:38 +0200

texlive-bin (2022.20220321.62855-1) experimental; urgency=medium

  * New upstream TeX Live 2022, upload to experimental.

  * Replace Dep: perl by "perl:any" (Closes: #968906).
  * Much lintian stuff, have a look at "git log" for details.

 -- Hilmar Preusse <hille42@web.de>  Mon, 02 May 2022 12:19:19 +0200

=== debian/control ===
Source: texlive-bin
Section: tex
Priority: optional
Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>,
	Hilmar Preusse <hille42@web.de>
Build-Depends:
  debhelper-compat (= 13)
Build-Depends-Arch:
  autoconf,
  automake,
  bison,
  flex,
  libbrotli-dev,
  libcairo2-dev,
  libfontconfig1-dev,
  libfreetype-dev,
  libgmp-dev,
  libgraphite2-dev,
  libharfbuzz-dev (>= 2.4),
  libicu-dev,
  libmpfr-dev,
  libpaper-dev,
  libpixman-1-dev,
  libpng-dev,
  libteckit-dev,
  libtool,
  libxaw7-dev,
  libxi-dev,
  libzzip-dev,
  m4,
  texlive-binaries <cross>,
  zlib1g-dev | libz-dev
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://www.tug.org/texlive/
Vcs-Git: https://github.com/debian-tex/texlive-bin.git
Vcs-Browser: https://github.com/debian-tex/texlive-bin

Package: texlive-binaries
Architecture: any
Multi-Arch: foreign
Depends: libptexenc1 (>= ${source:Version}),
  libptexenc1 (<< ${source:Version}.1~),
  libkpathsea6 (>= ${source:Version}),
  libkpathsea6 (<< ${source:Version}.1~),
  libsynctex2 (>= ${source:Version}),
  libsynctex2 (<< ${source:Version}.1~),
  libtexlua53-5 (>= ${source:Version}),
  libtexlua53-5 (<< ${source:Version}.1~),
  libtexluajit2 (>= ${source:Version}) [amd64 armel armhf kfreebsd-amd64 powerpc],
  libtexluajit2 (<< ${source:Version}.1~) [amd64 armel armhf kfreebsd-amd64 powerpc],
  t1utils, tex-common, perl:any,
  ${shlibs:Depends}, ${misc:Depends}
Recommends: texlive-base, dvisvgm
Replaces: ptex-bin, mendexk, jmpost, luatex (<< 2014), gregorio (<= 2.3-1), texlive-extra-utils (<< 2020.20200329), texlive-luatex (<< 2020.20200329)
Conflicts: mendexk, makejvf, jmpost
Breaks: texlive-base (<< 2021), luatex (<< 2014), gregorio (<= 2.3-1), texlive-extra-utils (<< 2020.20200329), texlive-luatex (<< 2020.20200329), context (<= 2021.03.05.20230120+dfsg-1)
Provides: texlive-base-bin, makejvf, mendexk, jmpost, luatex
Description: Binaries for TeX Live
 This package contains all the binaries of TeX Live packages.
 .
 Note that this package alone has hardly any functionality.  Rather,
 choose the texlive-* packages you want to use, e.g.
 texlive-latex-recommended or context

Package: libkpathsea6
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: TeX Live: path search library for TeX (runtime part)
 This package contains the runtime part of the Kpathsea[rch] library,
 which implements generic path searching, configuration, and
 TeX-specific file searching.

Package: libkpathsea-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libkpathsea6 (= ${binary:Version}), ${shlibs:Depends}
Description: TeX Live: path search library for TeX (development part)
 This package contains the static library and header files for the
 Kpathsea[rch] library, which implements generic path searching,
 configuration, and TeX-specific file searching.

Package: libptexenc1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: TeX Live: pTeX encoding library
 library for encoding support in pTeX, a Japanese TeX engine.

Package: libptexenc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libptexenc1 (= ${binary:Version}), ${shlibs:Depends}
Description: TeX Live: ptex encoding library (development part)
 This package contains the static library and header files for the
 ptexenc library, a library for encoding support in pTeX, a Japanese
 TeX engine.

Package: libsynctex2
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: TeX Live: SyncTeX parser library
 Library for SyncTeX parsing support.

Package: libsynctex-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libsynctex2 (= ${binary:Version})
Description: TeX Live: SyncTeX parser library (development part)
 This package contains the static library and header files for the SyncTex
 parser library.

Package: libtexlua53
Section: oldlibs
Architecture: all
Depends: libtexlua53-5, ${misc:Depends}
Description: transitional package (lib)
 This is a transitional (library) package. It can safely be removed.

Package: libtexlua53-5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Replaces: libtexlua53 (<< 2022.20220321.62855-2~)
Breaks: libtexlua53 (<< 2022.20220321.62855-2~)
Description: TeX Live: Lua 5.3, modified for use with LuaTeX
 The Lua 5.3 library as used within LuaTeX.

Package: libtexlua53-dev
Section: oldlibs
Architecture: all
Depends: libtexlua-dev, ${misc:Depends}
Description: transitional package (dev)
 This is a transitional (development) package. It can safely be removed.

Package: libtexlua-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libtexlua53-5 (= ${binary:Version})
Replaces: libtexlua53-dev (<< 2022.20220321.62855-2~)
Breaks: libtexlua53-dev (<< 2022.20220321.62855-2~)
Description: TeX Live: Lua 5.3, modified for use with LuaTeX (development part)
 This package contains the static library and header files for the texlua
 library.

Package: libtexluajit2
Section: libs
Architecture: amd64 armel armhf kfreebsd-amd64 powerpc
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: TeX Live: LuaJIT, modified for use with LuaJITTeX
 The LuaJIT library as used within LuaJITTeX.

Package: libtexluajit-dev
Section: libdevel
Architecture: amd64 armel armhf kfreebsd-amd64 powerpc
Multi-Arch: same
Depends: ${misc:Depends}, libtexluajit2 (= ${binary:Version})
Description: TeX Live: LuaJIT, modified for use with LuaJITTeX (development part)
 This package contains the static library and header files for the texluajit
 library.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for texlive-bin

export SHELL=/bin/bash
export CONFIG_SHELL=/bin/bash

# this ships out the test logs when a test failed, set it in any case
export VERBOSE=1

#
# the configure code already checks a lot, but it does not catch
# all cases. We have now two ways to test for where to build.
# One by disabling on the other platforms, one by whitelisting
# and building only on some platforms.
LUAJIT_GOOD_ARCHS := amd64 armel armhf kfreebsd-amd64 powerpc

# In case one wants to build with old automake (<< 1.13.1), the following
# variable has to be set. By default the debian/control requires high
# enough versions of automake and friends
#export AM_V_P=false

include /usr/share/dpkg/architecture.mk

ifeq ($(DEB_HOST_ARCH), alpha)
  export LDFLAGS = -Wl,--no-relax
endif

#
#
# architectures where icu related programs (xetex) have problems
# and core dump etc. Possible fix, but sub-optimal because slowing down
# programs
# TODO should be checked whether this still happens!
BROKEN_ICU_ARCHS := sparc64
ifneq (,$(findstring $(DEB_HOST_ARCH), $(BROKEN_ICU_ARCHS)))
  export CFLAGS += -DU_IS_BIG_ENDIAN=0
  export CXXFLAGS += -DU_IS_BIG_ENDIAN=0
else
endif


# for whitelisting good archs
ifeq (,$(filter $(DEB_HOST_ARCH), $(LUAJIT_GOOD_ARCHS)))
  # it is not in the list of good archs -> disable luajittex
  BUILDLUAJITTEX=--disable-luajittex --disable-mfluajit --disable-luajithbtex
  WITHLUAJIT=no
else
  # not necessary, but for completeness
  BUILDLUAJITTEX=--enable-luajittex --enable-mfluajit --enable-luajithbtex
  WITHLUAJIT=yes
endif

#
# it seems that ARM metafont segfaults due to a problem with armhf's malloc
# see Debian bug #678604
# Building in arm mode helps
#
ifeq ($(DEB_HOST_ARCH), armhf)
  export CFLAGS += -marm
endif

# warning: if the --with autoreconf is removed then
# the patch debian/patches/debian-no-linked-scripts
# must be adapted to also patch the Makefile.in!

%:
	dh $@ --builddirectory Work --max-parallel=8

#
# we use TL provided reautoconf script as it has some built-in magic
override_dh_autoreconf-arch:
	dh_autoreconf ./reautoconf

override_dh_autoreconf-indep:
	# Nothing to do here

# this was used before, but I am not sure whether the -as-needed is necessary
#	dh_autoreconf --as-needed

#
# poppler is used two times in TeX Live:
# once for pdftex/xetex
# once for luatex
# - the pdftex/xetex version is controlled via --with-system-xpdf
# - the luatex version is controlled via --with-system-poppler
#
# Status as of 20180118
# poppler in Debian is NOT enough for current, so we use the shipped
# libraries for both.
#	--with-system-poppler			\
#	--with-system-xpdf			\
#
# disable-largefile seems to break omegafonts, as they core dump
# leave it as is for now and see what else pops up
#	--disable-largefile			\

override_dh_auto_configure-arch:
	# we have to make sure that the mendex test case that is added
	# by a patch is executable, same for pdftexdir - stupid dpkg-source
	chmod 0755 texk/mendexk/tests/mendex.test
	chmod 0755 texk/web2c/pdftexdir/expanded.test
	# run out configure script
	dh_auto_configure -- -C --prefix=/usr	\
	--datarootdir=/usr/share/texlive	\
	--disable-native-texlive-build		\
	--disable-missing			\
	--disable-linked-scripts		\
	--with-banner-add=/Debian		\
	--enable-shared				\
	--with-system-zlib			\
	--with-system-zzlib			\
	--with-system-potrace			\
	--with-system-graphite2			\
	--with-system-harfbuzz 			\
	--with-system-libgs			\
	--with-system-pixman			\
	--with-system-libpaper			\
	--with-system-zziplib			\
	--with-system-icu			\
	--with-system-gmp			\
	--with-system-mpfr			\
	--with-system-freetype2			\
	--with-freetype2-include=/usr/include/freetype2 \
	--with-system-libpng			\
	--with-system-gd			\
	--with-system-cairo 			\
	--with-system-teckit			\
	--with-x				\
	--with-mf-x-toolkit			\
	--with-xdvi-x-toolkit=xaw		\
	$(BUILDLUAJITTEX)			\
	--disable-lcdf-typetools		\
	--disable-biber				\
	--disable-dvipng			\
	--disable-ps2eps			\
	--disable-psutils			\
	--disable-t1utils			\
	--disable-cjkutils			\
	--disable-chktex			\
	--disable-dvidvi			\
	--disable-lacheck			\
	--disable-texdoctk			\
	--disable-ttf2pk			\
	--disable-dvisvgm			\
	--enable-ttf2pk2			\
	--enable-ipc				
	# make sure that the lacheck test script is executable
	# this is only necessary since quilt/dpkg does not support
	# permissions
	chmod ugo+x utils/lacheck/test-def.test

override_dh_auto_configure-indep:
	# Nothing to do here

override_dh_auto_install-arch:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/tmp

override_dh_auto_install-indep:
	# Nothing to do here

override_dh_install-arch:
	# remove .la files which we do not install, so that dh_install
	# can work with --fail-missing
	rm -f debian/tmp/usr/lib/*.la debian/tmp/usr/lib/*/*.la
	# mv c-auto.h into arch-dependent include path
	mkdir -p debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/kpathsea
	mv debian/tmp/usr/include/kpathsea/c-auto.h \
	 	debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/kpathsea/
	dh_install --sourcedir=$(CURDIR)/debian/tmp
	dh_missing --sourcedir=$(CURDIR)/debian/tmp --fail-missing

execute_after_dh_install-arch:
	# replace xdvi wrapper shell script with perl variant to
	# allow for opening of gz etc files
	rm debian/texlive-binaries/usr/bin/xdvi
	install -m 0755 debian/xdvi-pl debian/texlive-binaries/usr/bin/xdvi
	# remove texlive directories, they should not be shipped here
	rm -rf debian/texlive-binaries/usr/share/texlive
	# remove wrongly added info/dir.gz
	rm -f debian/texlive-binaries/usr/share/info/dir*
	# remove tlbuild info document, not needed
	rm debian/texlive-binaries/usr/share/info/tlbuild.info*
	# remove various man pages
	for i in latex latex-dev pdflatex pdflatex-dev lamed lualatex-dev dvilualatex-dev \
		dviluatex platex-dev uplatex-dev xelatex-dev amstex ; do \
	  rm debian/texlive-binaries/usr/share/man/man1/$$i.1* ; \
	done
	#
	# remove tex4ht links, they are shipped with tl-htmlxml
	for i in ht htcontext htlatex htmex httex httexi htxelatex htxetex mk4ht xhlatex ; do \
	  rm debian/texlive-binaries/usr/bin/$$i ; \
	done
	#
	# install dvisvgm man page
	#install -m 0644 texk/dvisvgm/dvisvgm-src/doc/dvisvgm.1 \
	#	debian/texlive-binaries/usr/share/man/man1/dvisvgm.1
	# for alternatives treatment we rename usr/bin/bibtex to
	# usr/bin/bibtex.original
	mv debian/texlive-binaries/usr/bin/bibtex \
	   debian/texlive-binaries/usr/bin/bibtex.original
	mv debian/texlive-binaries/usr/share/man/man1/bibtex.1 \
	   debian/texlive-binaries/usr/share/man/man1/bibtex.original.1
	# find dangling symlinks in /usr/bin and error out if found
	err=0 ; for i in `find debian/texlive-binaries/usr/bin -type l` ; do \
	  f=`realpath $$i` ; \
	  if [ ! -r "$$f" ] ; then \
	    echo "ERROR: dangling symbolic link $$f" ; \
	    err=1 ; \
	  fi ; \
	done ; if [ $$err = 1 ] ; then exit 1 ; fi

override_dh_installdocs-arch:
	dh_installdocs
	dh_installdocs -plibptexenc1 -plibptexenc-dev \
		texk/ptexenc/COPYRIGHT texk/ptexenc/README
	dh_installdocs -plibkpathsea6 -plibkpathsea-dev \
		texk/kpathsea/AUTHORS \
		texk/kpathsea/NEWS texk/kpathsea/PROJECTS \
		texk/kpathsea/README
	dh_installdocs -plibsynctex2 -plibsynctex-dev \
		texk/web2c/synctexdir/README.txt	\
		texk/web2c/synctexdir/synctex_parser_readme.txt
ifeq ($(WITHLUAJIT), yes)
	dh_installdocs -plibtexluajit2 -plibtexluajit-dev
endif

override_dh_installdocs-indep:
	dh_installdocs -plibtexlua53 -plibtexlua53-dev

override_dh_installchangelogs:
	dh_installchangelogs
	dh_installchangelogs -plibkpathsea6 -plibkpathsea-dev \
		texk/kpathsea/ChangeLog
	dh_installchangelogs -plibptexenc1 -plibptexenc-dev \
		texk/ptexenc/ChangeLog
	dh_installchangelogs -plibsynctex2 -plibsynctex-dev \
		texk/web2c/synctexdir/ChangeLog
	dh_installchangelogs -plibtexlua53-5 -plibtexlua-dev \
		libs/lua53/TLpatches/ChangeLog
ifeq ($(WITHLUAJIT), yes)
	dh_installchangelogs -plibtexluajit2 -plibtexluajit-dev \
		libs/luajit/TLpatches/ChangeLog
endif

override_dh_compress:
	dh_compress -X.pdf

## texlive-bin 2023.20230311.66589

=== texk/web2c/hitexdir/tex/Makefile ===
# $Id: Makefile 62487 2022-03-06 23:15:07Z karl $
# Standalone Makefile for hitex/tex. Public domain.
# This is not run as part of the build, just a convenience used by hand
# from the Build/source/... directory.

INSTALL_DATA = cp -pfv

texmf_dist = ../../../../../../Master/texmf-dist
hitex_tex_dir = $(texmf_dist)/tex/hitex/base
#
install:
	for f in hilatex.ini hiltxpage.tex hiplainpage.tex \
	         hitex.ini ifhint.tex; do \
	  $(INSTALL_DATA) $$f $(hitex_tex_dir)/ || exit 1; done
	cd $(hitex_tex_dir) && /bin/pwd && svn status

fmt: hitex.fmt
hitex.fmt: hitex.ini
	hitex -ini -etex -ltx $<

clean:
	rm -f *.fmt *.log *.aux *.hint *.hnt

=== debian/changelog ===
texlive-bin (2023.20230311.66589-9build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:27:34 +0000

texlive-bin (2023.20230311.66589-9build2) noble; urgency=medium

  * No-change rebuild against libxt t64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Mar 2024 18:03:19 +0100

texlive-bin (2023.20230311.66589-9build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 08:24:10 +0000

texlive-bin (2023.20230311.66589-9) unstable; urgency=medium

  * Rename / Remove obsolete patches form source package.
  * Add DEP-3 headers to a few other patches.
  * Add "DEB_BUILD_MAINT_OPTIONS = hardening=+all" to d/rules.
  * Add patch for CVE-2024-25262 (Closes: #1064517).
  * Remove surplus ${shlibs:Depends} from -dev packages.

 -- Hilmar Preusse <hille42@web.de>  Fri, 23 Feb 2024 22:59:00 +0100

texlive-bin (2023.20230311.66589-8) unstable; urgency=high

  * Untighten version check of zlib in texk/web2c/luatexdir/luazlib/lzlib.c
    again to make binaries linked with 1.2.x runnable with 1.3.x
    (Closes: #1056183).

 -- Hilmar Preusse <hille42@web.de>  Mon, 20 Nov 2023 08:45:38 +0000

texlive-bin (2023.20230311.66589-7) unstable; urgency=medium

  * Add patch to fix pdflatex's ToUnicode map on Big Endian
    (Closes: #1054218).
  * Suggest texlive-binaries-sse2 only on arches, where it is
    available.
  * Add "hintview" to list of suggested package of texlive-binaries.
  * Extend the list of arches, where luajit binaries are available: arm64.
  * Extend gbp.conf: "gbp pull" should update pristine-tar branch too.

 -- Hilmar Preusse <hille42@web.de>  Thu, 09 Nov 2023 21:39:01 +0000

texlive-bin (2023.20230311.66589-6) unstable; urgency=medium

  * Fix Architecture field of the new texlive-binaries-sse2 package.
    This should fix build failures on systems w/o *jit* binaries.

 -- Hilmar Preusse <hille42@web.de>  Thu, 14 Sep 2023 23:27:32 +0200

texlive-bin (2023.20230311.66589-5) unstable; urgency=medium

  * Split luajit based binaries into texlive-binaries-sse2 to make
    TL usable on non-sse2 capable CPU's at all (Closes: #1041148).
  * Remove kfreebsd* from LuaJIT arches.
  * Add the embedded-library lintian override in the old format, to
    cheat ftp-master.
  * Add information of status of poppler support to d/rules file.

 -- Hilmar Preusse <hille42@web.de>  Sat, 09 Sep 2023 11:57:07 +0200

texlive-bin (2023.20230311.66589-4) unstable; urgency=medium

  * Add "Breaks: texlive-formats-extra (<< 2023.20230613)" to make
    sure hitex reads a fixed file hiplainpage.tex (Closes: #1041508).

 -- Hilmar Preusse <hille42@web.de>  Sun, 03 Sep 2023 08:54:53 +0200

texlive-bin (2023.20230311.66589-3) unstable; urgency=medium

  * Upload to unstable.

 -- Hilmar Preusse <hille42@web.de>  Sun, 27 Aug 2023 23:46:07 +0200

texlive-bin (2023.20230311.66589-2) experimental; urgency=medium

  * Add fixes for bibtex(8) to (hopefully) fix build failure on
    armhf. Bump bibtex-x to version 4.01.

 -- Hilmar Preusse <hille42@web.de>  Mon, 24 Jul 2023 23:48:05 +0200

texlive-bin (2023.20230311.66589-1) experimental; urgency=medium

  * New upstream snapshot made for TL 2023.
    - Remove sources of dvisvgm from orig.tar.xz, we don't build
      it anyways.
    - New luatex version
      + Fixes issues with discretionaries when priorities are used
        (Closes: #1018206).
      + Contains fix for CVE-2023-32668 (Closes: #1041149), add Breaks
        statement for old context.
    - Refresh / Disable patches.
  * Fix BD:
    - Add libpotrace-dev
    - Replace libfontconfig1-dev by libfontconfig-dev
  * Fix / Add Lintian Overrides.
  * Convert d/copyright into DEP5.
  * Add syntax fixes for:
    - luatex.1 (Closes: #1037553).
    - bibtex.original.1 (Closes: #1039975).
    - detex.1 (Closes: #1039976).
    - kpsewhich.1 (Closes: #1039977)
    - axohelp.1 (Closes: #1039978)

 -- Hilmar Preusse <hille42@web.de>  Tue, 18 Jul 2023 23:21:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: texlive-bin
 Section: tex
 Priority: optional
-Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
 Uploaders: Norbert Preining <norbert@preining.info>,
 	Hilmar Preusse <hille42@web.de>
 Build-Depends:
@@ -13,7 +14,7 @@
   flex,
   libbrotli-dev,
   libcairo2-dev,
-  libfontconfig1-dev,
+  libfontconfig-dev,
   libfreetype-dev,
   libgmp-dev,
   libgraphite2-dev,
@@ -21,6 +22,7 @@
   libicu-dev,
   libmpfr-dev,
   libpaper-dev,
+  libpotrace-dev,
   libpixman-1-dev,
   libpng-dev,
   libteckit-dev,
@@ -48,14 +50,16 @@
   libsynctex2 (<< ${source:Version}.1~),
   libtexlua53-5 (>= ${source:Version}),
   libtexlua53-5 (<< ${source:Version}.1~),
-  libtexluajit2 (>= ${source:Version}) [amd64 armel armhf kfreebsd-amd64 powerpc],
-  libtexluajit2 (<< ${source:Version}.1~) [amd64 armel armhf kfreebsd-amd64 powerpc],
   t1utils, tex-common, perl:any,
   ${shlibs:Depends}, ${misc:Depends}
 Recommends: texlive-base, dvisvgm
-Replaces: ptex-bin, mendexk, jmpost, luatex (<< 2014), gregorio (<= 2.3-1), texlive-extra-utils (<< 2020.20200329), texlive-luatex (<< 2020.20200329)
+Suggests: texlive-binaries-sse2 [amd64 armel armhf arm64 hurd-i386 i386 powerpc], hintview
+Replaces: ptex-bin, mendexk, jmpost, luatex (<< 2014), gregorio (<= 2.3-1),
+    texlive-extra-utils (<< 2020.20200329), texlive-luatex (<< 2020.20200329)
 Conflicts: mendexk, makejvf, jmpost
-Breaks: texlive-base (<< 2021), luatex (<< 2014), gregorio (<= 2.3-1), texlive-extra-utils (<< 2020.20200329), texlive-luatex (<< 2020.20200329), context (<= 2021.03.05.20230120+dfsg-1)
+Breaks: texlive-base (<< 2021), luatex (<< 2014), gregorio (<= 2.3-1),
+    texlive-extra-utils (<< 2020.20200329), texlive-luatex (<< 2020.20200329),
+    context (<= 2021.03.05.20230120+dfsg-1), texlive-formats-extra (<< 2023.20230613)
 Provides: texlive-base-bin, makejvf, mendexk, jmpost, luatex
 Description: Binaries for TeX Live
  This package contains all the binaries of TeX Live packages.
@@ -64,6 +68,34 @@
  choose the texlive-* packages you want to use, e.g.
  texlive-latex-recommended or context
 
+Package: texlive-binaries-sse2
+Architecture: amd64 armel armhf arm64 hurd-i386 i386 powerpc
+Multi-Arch: foreign
+Depends: libptexenc1 (>= ${source:Version}),
+  libptexenc1 (<< ${source:Version}.1~),
+  libkpathsea6 (>= ${source:Version}),
+  libkpathsea6 (<< ${source:Version}.1~),
+  libsynctex2 (>= ${source:Version}),
+  libsynctex2 (<< ${source:Version}.1~),
+  libtexlua53-5 (>= ${source:Version}),
+  libtexlua53-5 (<< ${source:Version}.1~),
+  libtexluajit2 (>= ${source:Version}) [amd64 armel armhf arm64 hurd-i386 i386 powerpc],
+  libtexluajit2 (<< ${source:Version}.1~) [amd64 armel armhf arm64 hurd-i386 i386 powerpc],
+  sse2-support [i386],
+  t1utils, tex-common, perl:any,
+  ${shlibs:Depends}, ${misc:Depends}, texlive-binaries
+Replaces: texlive-binaries (<= 2023.20230311.66589-4)
+Breaks: texlive-binaries (<= 2023.20230311.66589-4)
+Description: Binaries for TeX Live (the JIT part)
+ This package contains all the binaries of TeX Live packages.
+ .
+ Note that this package alone has hardly any functionality.  Rather,
+ choose the texlive-* packages you want to use, e.g.
+ texlive-latex-recommended or context
+ .
+ This package contains the luajit binaries, which run only on sse2
+ capable CPU's.
+
 Package: libkpathsea6
 Section: libs
 Architecture: any
@@ -79,7 +111,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libkpathsea6 (= ${binary:Version}), ${shlibs:Depends}
+Depends: ${misc:Depends}, libkpathsea6 (= ${binary:Version})
 Description: TeX Live: path search library for TeX (development part)
  This package contains the static library and header files for the
  Kpathsea[rch] library, which implements generic path searching,
@@ -98,7 +130,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libptexenc1 (= ${binary:Version}), ${shlibs:Depends}
+Depends: ${misc:Depends}, libptexenc1 (= ${binary:Version})
 Description: TeX Live: ptex encoding library (development part)
  This package contains the static library and header files for the
  ptexenc library, a library for encoding support in pTeX, a Japanese
@@ -160,7 +192,7 @@
 
 Package: libtexluajit2
 Section: libs
-Architecture: amd64 armel armhf kfreebsd-amd64 powerpc
+Architecture: amd64 armel armhf arm64 hurd-i386 i386 powerpc
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -169,7 +201,7 @@
 
 Package: libtexluajit-dev
 Section: libdevel
-Architecture: amd64 armel armhf kfreebsd-amd64 powerpc
+Architecture: amd64 armel armhf arm64 hurd-i386 i386 powerpc
 Multi-Arch: same
 Depends: ${misc:Depends}, libtexluajit2 (= ${binary:Version})
 Description: TeX Live: LuaJIT, modified for use with LuaJITTeX (development part)

=== debian/rules ===
--- 
+++ 
@@ -4,15 +4,20 @@
 export SHELL=/bin/bash
 export CONFIG_SHELL=/bin/bash
 
+export DEBIANTMP=debian/tmp
+
 # this ships out the test logs when a test failed, set it in any case
 export VERBOSE=1
+
+# See FEATURE AREAS in dpkg-buildflags(1).
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 #
 # the configure code already checks a lot, but it does not catch
 # all cases. We have now two ways to test for where to build.
 # One by disabling on the other platforms, one by whitelisting
 # and building only on some platforms.
-LUAJIT_GOOD_ARCHS := amd64 armel armhf kfreebsd-amd64 powerpc
+LUAJIT_GOOD_ARCHS := amd64 armel armhf arm64 hurd-i386 i386 powerpc
 
 # In case one wants to build with old automake (<< 1.13.1), the following
 # variable has to be set. By default the debian/control requires high
@@ -80,7 +85,7 @@
 #
 # poppler is used two times in TeX Live:
 # once for pdftex/xetex
-# once for luatex
+# once for luatex -> obsolete, luatex uses pplib
 # - the pdftex/xetex version is controlled via --with-system-xpdf
 # - the luatex version is controlled via --with-system-poppler
 #
@@ -90,6 +95,12 @@
 #	--with-system-poppler			\
 #	--with-system-xpdf			\
 #
+# Status as of 20230913
+# TL upstream stopped using poppler to get pdf support in pdftex
+# and pdftosrc. Instead they use the shipped xpdf "library". The
+# configure option "--with-system-xpdf" does not do anything.
+# https://tug.org/pipermail/tex-live/2023-September/049457.html ff.
+
 # disable-largefile seems to break omegafonts, as they core dump
 # leave it as is for now and see what else pops up
 #	--disable-largefile			\
@@ -153,7 +164,7 @@
 	# Nothing to do here
 
 override_dh_auto_install-arch:
-	dh_auto_install -- DESTDIR=$(CURDIR)/debian/tmp
+	dh_auto_install -- DESTDIR=$(CURDIR)/$(DEBIANTMP)
 
 override_dh_auto_install-indep:
 	# Nothing to do here
@@ -161,13 +172,13 @@
 override_dh_install-arch:
 	# remove .la files which we do not install, so that dh_install
 	# can work with --fail-missing
-	rm -f debian/tmp/usr/lib/*.la debian/tmp/usr/lib/*/*.la
+	rm -f $(DEBIANTMP)/usr/lib/*.la $(DEBIANTMP)/usr/lib/*/*.la
 	# mv c-auto.h into arch-dependent include path
-	mkdir -p debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/kpathsea
-	mv debian/tmp/usr/include/kpathsea/c-auto.h \
-	 	debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/kpathsea/
-	dh_install --sourcedir=$(CURDIR)/debian/tmp
-	dh_missing --sourcedir=$(CURDIR)/debian/tmp --fail-missing
+	mkdir -p $(DEBIANTMP)/usr/include/$(DEB_HOST_MULTIARCH)/kpathsea
+	mv $(DEBIANTMP)/usr/include/kpathsea/c-auto.h \
+		$(DEBIANTMP)/usr/include/$(DEB_HOST_MULTIARCH)/kpathsea/
+	dh_install --sourcedir=$(CURDIR)/$(DEBIANTMP)
+	dh_missing --sourcedir=$(CURDIR)/$(DEBIANTMP) --fail-missing
 
 execute_after_dh_install-arch:
 	# replace xdvi wrapper shell script with perl variant to
@@ -185,6 +196,10 @@
 		dviluatex platex-dev uplatex-dev xelatex-dev amstex ; do \
 	  rm debian/texlive-binaries/usr/share/man/man1/$$i.1* ; \
 	done
+	#
+	# Remove luajit* binaries from texlive-binaries
+	rm -f debian/texlive-binaries/usr/bin/*luajit*
+	rm -f debian/texlive-binaries/usr/share/man/man*/*luajit*
 	#
 	# remove tex4ht links, they are shipped with tl-htmlxml
 	for i in ht htcontext htlatex htmex httex httexi htxelatex htxetex mk4ht xhlatex ; do \
@@ -225,23 +240,3 @@
 endif
 
 override_dh_installdocs-indep:
-	dh_installdocs -plibtexlua53 -plibtexlua53-dev
-
-override_dh_installchangelogs:
-	dh_installchangelogs
-	dh_installchangelogs -plibkpathsea6 -plibkpathsea-dev \
-		texk/kpathsea/ChangeLog
-	dh_installchangelogs -plibptexenc1 -plibptexenc-dev \
-		texk/ptexenc/ChangeLog
-	dh_installchangelogs -plibsynctex2 -plibsynctex-dev \
-		texk/web2c/synctexdir/ChangeLog
-	dh_installchangelogs -plibtexlua53-5 -plibtexlua-dev \
-		libs/lua53/TLpatches/ChangeLog
-ifeq ($(WITHLUAJIT), yes)
-	dh_installchangelogs -plibtexluajit2 -plibtexluajit-dev \
-		libs/luajit/TLpatches/ChangeLog
-endif
-
-override_dh_compress:
-	dh_compress -X.pdf
-
